Package org.apache.nutch.fetcher

## Class QueueFeeder

- java.lang.Object
- - java.lang.Thread
  - - org.apache.nutch.fetcher.QueueFeeder

- All Implemented Interfaces:
    `Runnable`

      public class QueueFeeder
      extends Thread

  This class feeds the queues with input items, and re-fills them as items are consumed by FetcherThread-s.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueueFeeder​(Mapper.Context context, FetchItemQueues queues, int size)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |
    `void` | `setTimeLimit​(long tl)` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueFeeder

          public QueueFeeder​(Mapper.Context context,
                             FetchItemQueues queues,
                             int size)

  - ### Method Detail

    - #### setTimeLimit

          public void setTimeLimit​(long tl)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`